Newegg Developer Portal

Bind Repricer Items to Strategy

Batch-binds a list of items to a specified repricer strategy, inserting or updating records as needed.

This operation is designed for Newegg.com and Newegg.ca.

Resource URL

Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/strategy?strategyid={strategyid}&sellerid={sellerid}
Newegg.ca:  https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/item/strategy?strategyid={strategyid}&sellerid={sellerid}

Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.

Parameters

Name Required? Description
strategyId Yes Target repricer strategy ID to bind the items to.
sellerId Yes Seller ID, used for authentication.
items Yes Request body: array of item objects to bind.
items.neItemNumber Yes Newegg item number.
items.parentItemNumber No Parent item number.
items.sellingPrice Yes Selling price of the item.
items.currencyCode Yes Currency code for the price (e.g., USD, CAD).
items.status Yes Repricer status for the item. Accepted values: START, STOP.

Resource Information

HTTP Method Authentication? Request Formats Response Formats Rate Limited? Maximum Size of Request
POST Required XML, JSON XML, JSON 500 requests per hour

Request Body

Example: XML, Request

POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/strategy?strategyid=96&sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml

<NeweggAPIRequest>
    <OperationType>SetRepricerItemStrategy</OperationType>
    <RequestBody>
        <Items>
            <Item>
                <NeItemNumber>9SIA2GS0000654</NeItemNumber>
                <ParentItemNumber>338-001F-00058</ParentItemNumber>
                <SellingPrice>12.02</SellingPrice>
                <CurrencyCode>USD</CurrencyCode>
                <Status>START</Status>
            </Item>
        </Items>
    </RequestBody>
</NeweggAPIRequest>

Example: Json, Request

POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/item/strategy?strategyid=96&sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json

[
    {
        "neItemNumber": "9SIA2GS0000654",
        "parentItemNumber": "338-001F-00058",
        "sellingPrice": 12.02,
        "currencyCode": "USD",
        "status": "START"
    }
]

Response Body

Attribute Format Description
IsSuccess Boolean Get feed status operation:

True: Successful

False: Not successful

SellerID String Your seller ID
OperationType String Fixed value: SetRepricerItemStrategy
ResponseDate String Your response date time (Pacific Standard Time)
ResponseBody Boolean true if the operation completed successfully.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
    <IsSuccess>true</IsSuccess>
    <SellerID>A2GS</SellerID>
    <OperationType>SetRepricerItemStrategy</OperationType>
    <ResponseDate>2026-06-27T13:37:38.6910652+08:00</ResponseDate>
    <ResponseBody>true</ResponseBody>
</NeweggAPIResponse>

Example: Json, Response

{
    "ResponseBody": true,
    "IsSuccess": true,
    "OperationType": "SetRepricerItemStrategy",
    "SellerID": "A2GS",
    "ResponseDate": "2026-06-27T13:37:38.6910652+08:00"
}

Request Failure Errors

Error Code Description
InvalidToken Illegal secret key.
— The provided SellerId is null.
CE003 The 'itemNumber' element is invalid - The string '9SIBDY50000900' is not a valid value.

Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<Errors>
    <Error>
        <Code>InvalidToken</Code>
        <Message>Illegal secret key.</Message>
    </Error>
</Errors>

Example: Json, Response

[
    {
        "Code": "InvalidToken",
        "Message": "Illegal secret key."
    }
]

Last updated: July 11, 2026